OptionsDefinitions.OPTIONS (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.OptionsDefinitions.OPTIONS class
Date: 2021-11-09

net.sourceforge.jnlp

## Enum OptionsDefinitions.OPTIONS

- java.lang.Object
- - java.lang.Enum<OptionsDefinitions.OPTIONS>
  - - net.sourceforge.jnlp.OptionsDefinitions.OPTIONS

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OptionsDefinitions.OPTIONS>
  Enclosing class:
    OptionsDefinitions

      public static enum OptionsDefinitions.OPTIONS
      extends java.lang.Enum<OptionsDefinitions.OPTIONS>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOUT`
    `ARG`
    `BROWSER`
    `CHECK`
    `CLEARCACHE`
    `CODEBASE`
    `DEFAULTFILE`
    `DETAILS`
    `FILE`
    `GET`
    `HEADLESS`
    `HELP1`
    `HELP2`
    `HTML`
    `INFO`
    `JNLP`
    `LICENSE`
    `LIST`
    `LISTCACHEIDS`
    `NOFORK`
    `NOHEADERS`
    `NOSEC`
    `NOUPDATE`
    `OFFLINE`
    `PARAM`
    `PRINCIPALS`
    `PROPERTY`
    `REDIRECT`
    `RESET`
    `RESETALL`
    `SET`
    `SIGNEDBY`
    `STARTUP_TRACKER`
    `STRICT`
    `TRUSTALL`
    `TRUSTNONE`
    `UPDATE`
    `VERBOSE`
    `VERSION`
    `VIEWER`
    `XML`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `decriptionKey`
    `java.lang.String` | `helperString`
    `java.lang.String` | `option`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArgumentExplanation()`
    `java.lang.String` | `getLocalizedDescription()`
    `boolean` | `hasEvenNumberSupportingEqualsChar()`
    `boolean` | `hasNoArguments()`
    `boolean` | `hasOneArgument()`
    `boolean` | `hasOneOrMoreArguments()`
    `static OptionsDefinitions.OPTIONS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OptionsDefinitions.OPTIONS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRUSTALL

          public static final OptionsDefinitions.OPTIONS TRUSTALL

    - #### ABOUT

          public static final OptionsDefinitions.OPTIONS ABOUT

    - #### VIEWER

          public static final OptionsDefinitions.OPTIONS VIEWER

    - #### CLEARCACHE

          public static final OptionsDefinitions.OPTIONS CLEARCACHE

    - #### LISTCACHEIDS

          public static final OptionsDefinitions.OPTIONS LISTCACHEIDS

    - #### LICENSE

          public static final OptionsDefinitions.OPTIONS LICENSE

    - #### HELP1

          public static final OptionsDefinitions.OPTIONS HELP1

    - #### VERSION

          public static final OptionsDefinitions.OPTIONS VERSION

    - #### ARG

          public static final OptionsDefinitions.OPTIONS ARG

    - #### PARAM

          public static final OptionsDefinitions.OPTIONS PARAM

    - #### PROPERTY

          public static final OptionsDefinitions.OPTIONS PROPERTY

    - #### UPDATE

          public static final OptionsDefinitions.OPTIONS UPDATE

    - #### VERBOSE

          public static final OptionsDefinitions.OPTIONS VERBOSE

    - #### DETAILS

          public static final OptionsDefinitions.OPTIONS DETAILS

    - #### NOSEC

          public static final OptionsDefinitions.OPTIONS NOSEC

    - #### NOUPDATE

          public static final OptionsDefinitions.OPTIONS NOUPDATE

    - #### HEADLESS

          public static final OptionsDefinitions.OPTIONS HEADLESS

    - #### STRICT

          public static final OptionsDefinitions.OPTIONS STRICT

    - #### XML

          public static final OptionsDefinitions.OPTIONS XML

    - #### REDIRECT

          public static final OptionsDefinitions.OPTIONS REDIRECT

    - #### NOFORK

          public static final OptionsDefinitions.OPTIONS NOFORK

    - #### NOHEADERS

          public static final OptionsDefinitions.OPTIONS NOHEADERS

    - #### OFFLINE

          public static final OptionsDefinitions.OPTIONS OFFLINE

    - #### TRUSTNONE

          public static final OptionsDefinitions.OPTIONS TRUSTNONE

    - #### JNLP

          public static final OptionsDefinitions.OPTIONS JNLP

    - #### HTML

          public static final OptionsDefinitions.OPTIONS HTML

    - #### BROWSER

          public static final OptionsDefinitions.OPTIONS BROWSER

    - #### STARTUP_TRACKER

          public static final OptionsDefinitions.OPTIONS STARTUP_TRACKER

    - #### LIST

          public static final OptionsDefinitions.OPTIONS LIST

    - #### GET

          public static final OptionsDefinitions.OPTIONS GET

    - #### INFO

          public static final OptionsDefinitions.OPTIONS INFO

    - #### SET

          public static final OptionsDefinitions.OPTIONS SET

    - #### RESETALL

          public static final OptionsDefinitions.OPTIONS RESETALL

    - #### RESET

          public static final OptionsDefinitions.OPTIONS RESET

    - #### CHECK

          public static final OptionsDefinitions.OPTIONS CHECK

    - #### HELP2

          public static final OptionsDefinitions.OPTIONS HELP2

    - #### FILE

          public static final OptionsDefinitions.OPTIONS FILE

    - #### DEFAULTFILE

          public static final OptionsDefinitions.OPTIONS DEFAULTFILE

    - #### CODEBASE

          public static final OptionsDefinitions.OPTIONS CODEBASE

    - #### SIGNEDBY

          public static final OptionsDefinitions.OPTIONS SIGNEDBY

    - #### PRINCIPALS

          public static final OptionsDefinitions.OPTIONS PRINCIPALS

  - ### Field Detail

    - #### option

          public final java.lang.String option

    - #### helperString

          public final java.lang.String helperString

    - #### decriptionKey

          public final java.lang.String decriptionKey

  - ### Method Detail

    - #### values

          public static OptionsDefinitions.OPTIONS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OptionsDefinitions.OPTIONS c : OptionsDefinitions.OPTIONS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OptionsDefinitions.OPTIONS valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalizedDescription

          public java.lang.String getLocalizedDescription()

    - #### hasNoArguments

          public boolean hasNoArguments()

    - #### hasEvenNumberSupportingEqualsChar

          public boolean hasEvenNumberSupportingEqualsChar()

    - #### hasOneOrMoreArguments

          public boolean hasOneOrMoreArguments()

    - #### hasOneArgument

          public boolean hasOneArgument()

    - #### getArgumentExplanation

          public java.lang.String getArgumentExplanation()

Submit a bug or feature